---
title: Edit a user-defined operation label
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[API Gateway](https://developers.cloudflare.com/api/typescript/resources/api_gateway)

[Labels](https://developers.cloudflare.com/api/typescript/resources/api_gateway/subresources/labels)

[User](https://developers.cloudflare.com/api/typescript/resources/api_gateway/subresources/labels/subresources/user)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Edit a user-defined operation label

client.apiGateway.labels.user.edit(stringname, UserEditParams {zone\_id, description, metadata } params, RequestOptionsoptions?): [UserEditResponse](<https://developers.cloudflare.com/api/typescript/resources/api_gateway#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_edit_response%20%3E%20(schema)>) {created\_at, description, last\_updated, 3 more }

PATCH/zones/{zone\_id}/api\_gateway/labels/user/{name}

Updates only the supplied fields on a user-defined label.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Account API Gateway``Domain API Gateway`

##### ParametersExpand Collapse

name: string

The name of the label

[Link to this property](<#(resource)%20api_gateway.labels.user%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20name%20%3E%20(schema)>)

<details>

<summary>

params: UserEditParams {zone\_id, description, metadata }

</summary>

zone\_id: string

Path param: Identifier.

maxLength32

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

description?: string

Body param: The description of the label

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20description">Link to this property</a>

metadata?: unknown

Body param: Metadata for the label

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20metadata">Link to this property</a>

</details>

[Link to this property](<#(resource)%20api_gateway.labels.user%20%3E%20(method)%20edit%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

UserEditResponse {created\_at, description, last\_updated, 3 more }

</summary>

created\_at: string

formatdate-time

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_edit_response%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

description: string

The description of the label

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_edit_response%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

last\_updated: string

formatdate-time

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_edit_response%20%3E%20(schema)%20%3E%20(property)%20last_updated">Link to this property</a>

metadata: unknown

Metadata for the label

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_edit_response%20%3E%20(schema)%20%3E%20(property)%20metadata">Link to this property</a>

name: string

The name of the label

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_edit_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

source: "user"| "managed"

- <code>user</code> - label is owned by the user
- <code>managed</code> - label is owned by cloudflare

</summary>

One of the following:

"user"

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_edit_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(member)%200">Link to this property</a>

"managed"

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_edit_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_edit_response%20%3E%20(schema)%20%3E%20(property)%20source">Link to this property</a>

</details>

[Link to this property](<#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_edit_response%20%3E%20(schema)>)

### Edit a user-defined operation label

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.apiGateway.labels.user.edit('login', {
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(response.created_at);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "created_at": "2014-01-01T05:20:00.12345Z",
    "description": "All endpoints that deal with logins",
    "last_updated": "2014-01-01T05:20:00.12345Z",
    "metadata": {
      "foo": "bar"
    },
    "name": "login",
    "source": "user"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "created_at": "2014-01-01T05:20:00.12345Z",
    "description": "All endpoints that deal with logins",
    "last_updated": "2014-01-01T05:20:00.12345Z",
    "metadata": {
      "foo": "bar"
    },
    "name": "login",
    "source": "user"
  },
  "success": true
}
```